# Poco::Net::SocketProactor

# class IONotification

Library: Net
Package: Sockets
Header: Poco/Net/SocketProactor.h

## Description

IONotification object is used to transfer the I/O completion handlers into the completion handlers queue.

## Inheritance

Direct Base Classes: Poco::Notification

All Base Classes: Poco::Notification, Poco::RefCountedObject

## Member Summary

Member Functions: call

Inherited Functions: duplicate, name, referenceCount, release

## Constructors

### IONotification

IONotification() = delete;

### IONotification

IONotification(
Callback && onCompletion,
int bytes,
const std::error_code & errorCode
);

Creates the IONotification.

## Destructor

### ~IONotification

~IONotification() = default;

## Member Functions

### call

void call();

Calls the completion handler.